Subject: Re: bug#12565: 24.2.50; bootstrap failure: semantic-displayor-tooltip-mode

From: David Engster <[email-masked]>
Date: Wed, 03 Oct 2012 09:03:58 +0200

Glenn Morris writes:
> Presumably bzr status show nothing odd?
> Phase of the moon?
> make maintainer-clean and try again?
> semantic-displayor-tooltip-mode is defined at semantic/complete.el:1550
> so it's hard to see how it can be void at line 1596.

I must admit I've seen the same problem, but it "somehow went away" and
I was unable to reproduce it afterwards. Maybe it was a maintainer-clean
that fixed it.

`semantic-displayor-tooltip-mode' is an autoloaded defcustom, used again
later in the same file as a default for a slot's init-value through
`symbol-value'. Maybe that's considered bad style, I'm not sure, but I
wouldn't know how to achieve this in a better manner.

-David